@echo off
SETLOCAL

:: 设置日志目录（相对于项目根目录）
set LOG_DIR=tensorboard_logs

:: 检查日志目录是否存在
dir /b %LOG_DIR% >nul 2>&1
if errorlevel 1 (
    echo 创建日志目录: %LOG_DIR%
    mkdir %LOG_DIR%
)

:: 启动TensorBoard
python -m tensorboard.main --logdir=%cd%\%LOG_DIR% --port=6006

ENDLOCAL